# $Revision: 1.45 $, $Date: 2005/02/14 14:15:58 $
Summary:	XBase - xbase-compatible C++ class library
Summary(pl):	XBase - kompatybilna z xbase biblioteka klas C++
Name:		xbase
Version:	2.1.1
Release:	2
License:	LGPL (library), GPL (programs)
Group:		Libraries
Source0:	http://dl.sourceforge.net/xdb/%{name}-%{version}.tar.gz
# Source0-md5:	f36852f0ba0c4d9e047e84c3269fde37
Patch0:		%{name}-fix.patch
URL:		http://linux.techass.com/projects/xdb/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XBase is an xbase (i.e. dBase, FoxPro, etc.) compatible C++ class
library. It's useful for accessing data in legacy dBase 3 and 4
database files as well as a general light-weight database engine. It
includes support for DBF (dBase version 3 and 4) data files, NDX and
NTX indexes, and DBT (dBase version 3 and 4). It supports file and
record locking under *nix OSes.

%description -l pl
XBase to kompatybilna z xbase (czyli dBase, FoxPro itp.) biblioteka
klas C++. Jest przydatna do dostpu do danych w plikach starych baz
dBase 3 i 4, a take jako lekki silnik baz danych oglnego
przeznaczenia. Obsuguje pliki baz DBF (dBase w wersji 3 i 4), indeksy
NDX i NTX oraz DBT (dBase w wersji 3 i 4). Obsuguje blokowanie
plikw i rekordw pod systemami uniksowymi.

%package devel
Summary:	XBase development files
Summary(pl):	Pliki dla programistw uywajcych XBase
License:	LGPL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains XBase development files.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne przy tworzeniu
aplikacji uywajcych Xbase.

%package static
Summary:	Static XBase library
Summary(pl):	Statyczna biblioteka XBase
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XBase library.

%description static -l pl
Statyczna biblioteka XBase.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-implicit-templates"
%configure \
	--enable-nls \
	--with-exceptions \
	--with-index-ndx \
	--with-index-ntx
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/[!x]*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc html/{*.html,*.jpg}
%attr(755,root,root) %{_bindir}/xbase-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/xbase

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xbase.spec,v $
Revision 1.45  2005/02/14 14:15:58  qboosh
- release 2

Revision 1.44  2004/10/31 12:55:14  paladine
- spaces->tabs

Revision 1.43  2004/04/09 23:04:34  qboosh
- -devel R: libstdc++-devel

Revision 1.42  2004/04/09 21:48:46  qboosh
- updated to 2.1.1 (devel, but ready for gcc 3.x); added fix patch

Revision 1.41  2003/10/28 21:50:25  qboosh
- little better/updated descriptions based on README

Revision 1.40  2003/05/28 13:03:02  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 06:28:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/03/13 11:23:42  qboosh
- working Source URL, minor fixed where needed

Revision 1.37  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.36  2002/11/27 18:27:39  juandon
- new %%doc

Revision 1.35  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.34  2002/07/03 09:24:06  wolf
- spelling

Revision 1.33  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/02 20:41:03  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.30  2002/02/01 14:56:06  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.29  2002/01/18 02:15:27  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/07/18 13:23:16  kloczek
- spec adapterized.

Revision 1.27  2001/07/17 16:32:12  qboosh
- updated to 2.0.0 from new URL, removed obsolete autoconf patch

Revision 1.26  2001/06/29 10:14:15  kloczek
- release 9: fixed %description in devel subpackage.

Revision 1.25  2001/05/27 17:32:52  kloczek
- relase 8.

Revision 1.24  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.23  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.22  2000/06/09 07:24:08  kloczek
- added using %%{__make} macro.

Revision 1.21  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.20  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.19  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.17  1999/12/18 18:16:49  kloczek
- release 7,
- "Requires: libstdc++-devel" changed to "BuildRequires: libstdc++-devel"
  (Requires list is aotogenerated).

Revision 1.16  1999/12/18 17:11:20  cieciwa
- added Requires: libstdc++-devel.

Revision 1.15  1999/12/02 01:53:10  kloczek
- release 6,
- fixed BR#84 (recompiled in proper enviroment).

Revision 1.14  1999/09/21 08:06:13  kloczek
- release 5,
- recompiled against libstdc++ 2.10.0.

Revision 1.13  1999/08/01 21:16:35  kloczek
- release 4,
- added autoconf patch,
- added using %%configure macro,
- switch to "make install DESTDIR=</install/prefix" style in %install,
- added stripping shared libraries,
- changed permission on lib*.la to 755.

Revision 1.12  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May 29 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.8.1-3]
- more rpm macros.

* Thu Apr 22 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.8.1-2]
- recompiles on new rpm.

* Thu Apr 15 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [1.8.1-1]
- added passing $RPM_OPT_FLAGS in CFLAGS and CPPFLAGS; in CPPFLAGS
  added "-fno-rtti -fno-implicit-templates",
- added "-s" to LDFLAGS,
- added stripping shared libraries,
- added URL,
- fixed Copyright (LGPL).

* Wed Apr 14 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- separate file,
- update to version 1.8.1

* Sat Dec 12 1998 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- building RPM.
